Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class HighlightRule

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.core.PropertyStructure
              org.eclipse.birt.report.model.api.elements.structures.StyleRule
                  org.eclipse.birt.report.model.api.elements.structures.HighlightRule

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class HighlightRule

extends StyleRule

Represents a highlight rule that says how a data item should appear based on the value within it. All highlight rules are driven by a value expression defined on the style. Each rule has an expression that matches a set of values, and a set of font and border instructions for how to format the data item when the rule "fires."

Field Summary
`static java.lang.String` | `BACKGROUND_COLOR_MEMBER`
`static java.lang.String` | `BORDER_BOTTOM_COLOR_MEMBER`
`static java.lang.String` | `BORDER_BOTTOM_STYLE_MEMBER`
`static java.lang.String` | `BORDER_BOTTOM_WIDTH_MEMBER`
`static java.lang.String` | `BORDER_LEFT_COLOR_MEMBER`
`static java.lang.String` | `BORDER_LEFT_STYLE_MEMBER`
`static java.lang.String` | `BORDER_LEFT_WIDTH_MEMBER`
`static java.lang.String` | `BORDER_RIGHT_COLOR_MEMBER`
`static java.lang.String` | `BORDER_RIGHT_STYLE_MEMBER`
`static java.lang.String` | `BORDER_RIGHT_WIDTH_MEMBER`
`static java.lang.String` | `BORDER_TOP_COLOR_MEMBER`
`static java.lang.String` | `BORDER_TOP_STYLE_MEMBER`
`static java.lang.String` | `BORDER_TOP_WIDTH_MEMBER`
`static java.lang.String` | `COLOR_MEMBER`
`static java.lang.String` | `DATE_TIME_FORMAT_MEMBER`
`static java.lang.String` | `FONT_FAMILY_MEMBER`
`static java.lang.String` | `FONT_SIZE_MEMBER`
`static java.lang.String` | `FONT_STYLE_MEMBER`
`static java.lang.String` | `FONT_VARIANT_MEMBER`
`static java.lang.String` | `FONT_WEIGHT_MEMBER`
`static java.lang.String` | `NUMBER_ALIGN_MEMBER`
`static java.lang.String` | `NUMBER_FORMAT_MEMBER`
`static java.lang.String` | `STRING_FORMAT_MEMBER`
`static java.lang.String` | `STRUCTURE_NAME` Name of this structure within the meta-data dictionary.
`static java.lang.String` | `STYLE_MEMBER` The style member.
`static java.lang.String` | `TEXT_ALIGN_MEMBER`
`static java.lang.String` | `TEXT_DIRECTION_MEMBER`
`static java.lang.String` | `TEXT_INDENT_MEMBER`
`static java.lang.String` | `TEXT_LINE_THROUGH_MEMBER`
`static java.lang.String` | `TEXT_OVERLINE_MEMBER`
`static java.lang.String` | `TEXT_TRANSFORM_MEMBER`
`static java.lang.String` | `TEXT_UNDERLINE_MEMBER`

Fields inherited from class org.eclipse.birt.report.model.api.elements.structures.StyleRule
`IS_DESIGN_TIME_MEMBER, isDesignTime, operator, OPERATOR_MEMBER, TEST_EXPR_MEMBER, testExpression, value1, VALUE1_MEMBER, value2, VALUE2_MEMBER`

Fields inherited from class org.eclipse.birt.report.model.core.PropertyStructure
`propValues`

Constructor Summary
`HighlightRule()` Default Constructor.
`HighlightRule(java.lang.String op, java.lang.String v1, java.lang.String v2, java.lang.String testExpre)` Constructs the highlight rule with an operator and its arguments.

Method Summary
`IStructureDefn` | `getDefn()` Gets the structure definition by the name of this structure.
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)` Returns the value of a structure property represented as a member variable.
`java.lang.Object` | `getProperty(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.metadata.PropertyDefn propDefn)` Gets the value of a property.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StyleHandle` | `getStyle()` Returns the style that the highlight rule links with.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.
`void` | `setStyle(StyleHandle styleElement)` Sets the style property.

Methods inherited from class org.eclipse.birt.report.model.api.elements.structures.StyleRule
`getOperator, getTestExpression, getValue1, getValue1List, getValue2, isDesignTime, setDesignTime, setOperator, setTestExpression, setValue1, setValue1, setValue2`

Methods inherited from class org.eclipse.birt.report.model.core.PropertyStructure
`clone, getLocalProperty, getLocalProperty, setProperty`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getElement, getHandle, getHandle, getListMemberRef, getObjectDefn, getProperty, getReferencableProperty, isReferencable, setContext, setProperty, updateReference, validate`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BORDER_TOP_STYLE_MEMBER

    public static final java.lang.String BORDER_TOP_STYLE_MEMBER

See Also:
  Constant Field Values

### BORDER_TOP_WIDTH_MEMBER

    public static final java.lang.String BORDER_TOP_WIDTH_MEMBER

See Also:
  Constant Field Values

### BORDER_TOP_COLOR_MEMBER

    public static final java.lang.String BORDER_TOP_COLOR_MEMBER

See Also:
  Constant Field Values

### BORDER_LEFT_STYLE_MEMBER

    public static final java.lang.String BORDER_LEFT_STYLE_MEMBER

See Also:
  Constant Field Values

### BORDER_LEFT_WIDTH_MEMBER

    public static final java.lang.String BORDER_LEFT_WIDTH_MEMBER

See Also:
  Constant Field Values

### BORDER_LEFT_COLOR_MEMBER

    public static final java.lang.String BORDER_LEFT_COLOR_MEMBER

See Also:
  Constant Field Values

### BORDER_BOTTOM_STYLE_MEMBER

    public static final java.lang.String BORDER_BOTTOM_STYLE_MEMBER

See Also:
  Constant Field Values

### BORDER_BOTTOM_WIDTH_MEMBER

    public static final java.lang.String BORDER_BOTTOM_WIDTH_MEMBER

See Also:
  Constant Field Values

### BORDER_BOTTOM_COLOR_MEMBER

    public static final java.lang.String BORDER_BOTTOM_COLOR_MEMBER

See Also:
  Constant Field Values

### BORDER_RIGHT_STYLE_MEMBER

    public static final java.lang.String BORDER_RIGHT_STYLE_MEMBER

See Also:
  Constant Field Values

### BORDER_RIGHT_WIDTH_MEMBER

    public static final java.lang.String BORDER_RIGHT_WIDTH_MEMBER

See Also:
  Constant Field Values

### BORDER_RIGHT_COLOR_MEMBER

    public static final java.lang.String BORDER_RIGHT_COLOR_MEMBER

See Also:
  Constant Field Values

### BACKGROUND_COLOR_MEMBER

    public static final java.lang.String BACKGROUND_COLOR_MEMBER

See Also:
  Constant Field Values

### DATE_TIME_FORMAT_MEMBER

    public static final java.lang.String DATE_TIME_FORMAT_MEMBER

See Also:
  Constant Field Values

### NUMBER_FORMAT_MEMBER

    public static final java.lang.String NUMBER_FORMAT_MEMBER

See Also:
  Constant Field Values

### NUMBER_ALIGN_MEMBER

    public static final java.lang.String NUMBER_ALIGN_MEMBER

See Also:
  Constant Field Values

### STRING_FORMAT_MEMBER

    public static final java.lang.String STRING_FORMAT_MEMBER

See Also:
  Constant Field Values

### FONT_FAMILY_MEMBER

    public static final java.lang.String FONT_FAMILY_MEMBER

See Also:
  Constant Field Values

### FONT_SIZE_MEMBER

    public static final java.lang.String FONT_SIZE_MEMBER

See Also:
  Constant Field Values

### FONT_STYLE_MEMBER

    public static final java.lang.String FONT_STYLE_MEMBER

See Also:
  Constant Field Values

### FONT_WEIGHT_MEMBER

    public static final java.lang.String FONT_WEIGHT_MEMBER

See Also:
  Constant Field Values

### FONT_VARIANT_MEMBER

    public static final java.lang.String FONT_VARIANT_MEMBER

See Also:
  Constant Field Values

### COLOR_MEMBER

    public static final java.lang.String COLOR_MEMBER

See Also:
  Constant Field Values

### TEXT_UNDERLINE_MEMBER

    public static final java.lang.String TEXT_UNDERLINE_MEMBER

See Also:
  Constant Field Values

### TEXT_OVERLINE_MEMBER

    public static final java.lang.String TEXT_OVERLINE_MEMBER

See Also:
  Constant Field Values

### TEXT_LINE_THROUGH_MEMBER

    public static final java.lang.String TEXT_LINE_THROUGH_MEMBER

See Also:
  Constant Field Values

### TEXT_ALIGN_MEMBER

    public static final java.lang.String TEXT_ALIGN_MEMBER

See Also:
  Constant Field Values

### TEXT_TRANSFORM_MEMBER

    public static final java.lang.String TEXT_TRANSFORM_MEMBER

See Also:
  Constant Field Values

### TEXT_INDENT_MEMBER

    public static final java.lang.String TEXT_INDENT_MEMBER

See Also:
  Constant Field Values

### TEXT_DIRECTION_MEMBER

    public static final java.lang.String TEXT_DIRECTION_MEMBER

See Also:
  Constant Field Values

### STRUCTURE_NAME

    public static final java.lang.String STRUCTURE_NAME

  Name of this structure within the meta-data dictionary.

  See Also:
    Constant Field Values

### STYLE_MEMBER

    public static final java.lang.String STYLE_MEMBER

  The style member.

  See Also:
    Constant Field Values

Constructor Detail

### HighlightRule

    public HighlightRule()

  Default Constructor.

### HighlightRule

    public HighlightRule(java.lang.String op,
                         java.lang.String v1,
                         java.lang.String v2,
                         java.lang.String testExpre)

  Constructs the highlight rule with an operator and its arguments.

  Parameters:
    `op` - the supported operator. One of the internal choice values identified in the meta-data dictionary
    `v1` - the comparison value expressions for operators that take one or two arguments (equals, like, between)
    `v2` - the second comparison value for operators that take two arguments (between)
    `testExpre` - the expression to check

Method Detail

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getDefn

    public IStructureDefn getDefn()

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Gets the structure definition by the name of this structure.

  Specified by:
    `getDefn` in interface `IStructure`
  Overrides:
    `getDefn` in class `org.eclipse.birt.report.model.core.Structure`
  Returns:
    structure definition.

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Specified by:
    `handle` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Overrides:
    `getIntrinsicProperty` in class `StyleRule`
  Parameters:
    `propName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Overrides:
    `setIntrinsicProperty` in class `StyleRule`
  Parameters:
    `propName` - the name of the property to set
    `value` - the property value

### getProperty

    public java.lang.Object getProperty(org.eclipse.birt.report.model.core.Module module,
                                        org.eclipse.birt.report.model.metadata.PropertyDefn propDefn)

  Description copied from interface: `org.eclipse.birt.report.model.core.IPropertySet`
  Gets the value of a property. An assertion occurs if the member name is not valid.

  Specified by:
    `getProperty` in interface `org.eclipse.birt.report.model.core.IPropertySet`
  Overrides:
    `getProperty` in class `org.eclipse.birt.report.model.core.Structure`
  Parameters:
    `module` - the module
    `propDefn` - definition of the property to get
  Returns:
    value of the item as an object, or null if the item is not set or is not found.

### setStyle

    public void setStyle(StyleHandle styleElement)

  Sets the style property. If it is a valid style and highlight rule has no local values, values on the style are returned.

  Parameters:
    `styleElement` - the style

### getStyle

    public StyleHandle getStyle()

  Returns the style that the highlight rule links with.

  Returns:
    the style

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.